function norm=L2_Norm_Unitsquare(v)
% L2_Norm_Unitsquare computes the discrete L^2-Norm of a function
% that is given on the inner unit square.
%
% INPUT:
% ------
% v         - Vector, v(i) is the function value in the i-th grid point 
%             (lexicographical order)
%
% OUTPUT:
% -------
% norm      - The discrete L^2 norm of the function induced by v
%

% Compute the norm by using the inner product function
norm = sqrt(L2_InnerProduct_Unitsquare(v,v));
